GET api/itemapi/item/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| active | boolean |
None. |
|
| code | string |
Required String length: inclusive between 0 and 30 |
|
| color_id | globally unique identifier |
None. |
|
| customer_id | globally unique identifier |
Required |
|
| grouping_quantity | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| item_service_id | globally unique identifier |
None. |
|
| item_garment_type_id | globally unique identifier |
None. |
|
| item_segment_id | globally unique identifier |
None. |
|
| item_type_id | globally unique identifier |
None. |
|
| purchase_price | decimal number |
None. |
|
| sale_price | decimal number |
None. |
|
| size_id | globally unique identifier |
None. |
|
| supplier_code | string |
String length: inclusive between 0 and 30 |
|
| supplier_description | string |
String length: inclusive between 0 and 100 |
|
| unit | string |
String length: inclusive between 0 and 10 |
|
| weight | integer |
None. |
|
| root_code | string |
String length: inclusive between 0 and 30 |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"color_id": "2806b9e1-f966-4b0a-be62-096c0ac76b34",
"customer_id": "def62390-1da3-43dd-a2cc-cba3a34fbf1d",
"grouping_quantity": 1,
"id": "f4924f69-a6bc-473a-a550-96afcf7fc15c",
"item_service_id": "c72a24ee-d6ee-439c-89a8-18b2162d7a08",
"item_garment_type_id": "90e4a498-87b7-413c-93fc-3a1dbd30b9d7",
"item_segment_id": "b30e08df-b23c-4c5e-a3ec-8e6a1551dab1",
"item_type_id": "60d8d335-e68d-4db2-9616-1226023505cc",
"purchase_price": 1.0,
"sale_price": 1.0,
"size_id": "6407f474-faaf-435a-9bf7-c573247b4150",
"supplier_code": "sample string 6",
"supplier_description": "sample string 7",
"unit": "sample string 8",
"weight": 1,
"root_code": "sample string 9"
}
application/xml, text/xml
Sample:
<item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<color_id>2806b9e1-f966-4b0a-be62-096c0ac76b34</color_id>
<customer_id>def62390-1da3-43dd-a2cc-cba3a34fbf1d</customer_id>
<grouping_quantity>1</grouping_quantity>
<id>f4924f69-a6bc-473a-a550-96afcf7fc15c</id>
<item_garment_type_id>90e4a498-87b7-413c-93fc-3a1dbd30b9d7</item_garment_type_id>
<item_segment_id>b30e08df-b23c-4c5e-a3ec-8e6a1551dab1</item_segment_id>
<item_service_id>c72a24ee-d6ee-439c-89a8-18b2162d7a08</item_service_id>
<item_type_id>60d8d335-e68d-4db2-9616-1226023505cc</item_type_id>
<purchase_price>1</purchase_price>
<root_code>sample string 9</root_code>
<sale_price>1</sale_price>
<size_id>6407f474-faaf-435a-9bf7-c573247b4150</size_id>
<supplier_code>sample string 6</supplier_code>
<supplier_description>sample string 7</supplier_description>
<unit>sample string 8</unit>
<weight>1</weight>
<descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</descriptions>
</item>